Skip to Content
LandedFXDocs

Read a swap order

GET
/api/v1/swap/orders/{id}

Authorization

apiKey
headerx-api-key<token>

Path Parameters

id*string
Formatuuid

Response Body

application/json
  1. response
code*number

HTTP status code

message*string

Human-readable message

data?

Response payload

metadata?
errors?array<string>

Validation errors, when the request was rejected

Example Request
curl -X GET 'https://api.landedfx.com/api/v1/swap/orders/497f6eca-6276-4993-bfeb-53cbbbba6f08'
Example Response
{  "message": "string",  "metadata": {    "page": 1,    "limit": 20,    "totalDocs": 42,    "prevPage": null,    "nextPage": 2,    "totalPages": 3  },  "errors": [    "string"  ],  "code": 200,  "data": {    "orderId": "b3e1eced-f2bd-4d8c-9765-fbc9d1d222d5",    "reference": "string",    "provider": "relay",    "from": "string",    "to": "string",    "amountIn": 0,    "amountOut": 0,    "minAmountOut": 0,    "depositAddress": "string",    "depositMemo": "string",    "recipient": "string",    "refundTo": "string",    "state": "pending",    "final": true,    "originTxs": [      "string"    ],    "destinationTxs": [      "string"    ],    "receivedIn": 0,    "deliveredOut": 0,    "refunded": 0,    "deadline": "string",    "createdAt": "string"  }}